module Pod
  class BasicInfo
    attr_reader :app_key
    attr_reader :name
    attr_reader :bundle_id
    attr_reader :version
    attr_reader :string_replacements

    def initialize(app_key, bundle_id=nil, name=nil, version=nil)
      @app_key = app_key
      @name = name
      @bundle_id = bundle_id
      @version = version

      prefix = name[0..2].upcase
      @string_replacements = {
        "Bob" => "ByteDance",
        "TODAYS_DATE" => date,
        "TODAYS_YEAR" => year,
        "${USER_NAME}" => user_name,
        "${USER_EMAIL}" => user_email,
        "${YEAR}" => year,
        "${DATE}" => date,

        "Template" => @name,
        "Template_InHouse" => @name + "_InHouse",
        "${POD_NAME}" => @name,
        "CPD" => prefix,
        "${APPKEY}" => @app_key,
        "${MPAAS_VERSION}" => @version,
        "org.cocoapods.demo.${PRODUCT_NAME:rfc1034identifier}" => @bundle_id
      }
    end

    def date
      Time.now.strftime "%m/%d/%Y"
    end

    def year
      Time.now.year.to_s
    end

    def user_name
      (`git config user.name` || "bytedance" ).strip
    end

    def user_email
      (`git config user.email` || "bytedance@bytedance.com").strip
    end

  end
end
