module Pod
  class Command
    class Vemars < Command
      require_relative 'vemars/create'
      require_relative 'vemars/baselines'
      require_relative 'vemars/components'
      require_relative 'vemars/patch'

      self.summary = 'vemars iOS project generation tool'
      self.description = <<-DESC
        Create a vemars iOS project.
      DESC

      self.abstract_command = true
      # self.default_subcommand = 'create'
      self.command = 'vemars'

      # 解析命令别名
      def self.parse(argv)
        expanded_alias = argv.option('expanded-alias')
        cmd = super(argv)
        if cmd.class == Pod::Command::Vemars
          if !expanded_alias.blank? && (arg = argv.shift_argument)
            require 'shellwords'
            new_argv = expanded_alias.shellsplit + argv.remainder
            cmd = super(CLAide::ARGV.coerce(new_argv))
          end
        end
        cmd
      end

    end
  end
end
