require_relative '../../services/baselines_api'

module Pod
  class Command
    class Vemars
      class Baselines < Vemars
        include Concurrent::Async

        self.summary = 'Query available baseline versions'
        self.description = <<-DESC
          Query what baseline versions are available in vemars.
        DESC

        def self.options
          options = [
            ['--service_url=SERVICE_URL', 'url of vemars CLI service.']
          ]
        end

        def initialize(argv)
          @service_url = argv.option('service_url',nil)
          super
          @additional_args = argv.remainder!
        end

        def run
          api = Baselines_api.new(@service_url)
          api.getBaselines
        end

      end
    end
  end
end
