require_relative '../../services/components_api'
require_relative '../../hook/podfile_template'

module Pod
  class Command
    class Vemars
      class Components < Vemars

        self.summary = 'Query all available components under certain baseline'
        self.description = <<-DESC
          Query what components are available under certain baseline version, return a list of components with name, version and maybe subspec if any.
        DESC

        self.arguments = [
          CLAide::Argument.new('BASELINE', false)
        ]

        def self.options
          options = [
            ['--service_url=SERVICE_URL', 'url of vemars CLI service.']
          ]
        end

        def initialize(argv)
          baseline = argv.shift_argument
          service_url = argv.option('service_url',nil)
          @api = Components_api.new(baseline,service_url)
          super
          @additional_args = argv.remainder!
        end

        def validate!
          @api.validate!
          super
        end

        def run
          components = @api.getComponents()
          components.each do |component| component.to_s() end
        end


      end
    end
  end
end

