require 'Rest'

module Pod
  class Baselines_api
    include Concurrent::Async

    BASELINES_URL = 'https://poc-api.vemarsdev.com/mpaas/baseline/baselines'.freeze
    attr_accessor :result

    public def initialize(url=BASELINES_URL)
      @baseline_url = (url.blank? ? BASELINES_URL : url + "mpaas/baseline/baselines")
    end

    def getBaselines
      body= "{\"technology_stack\": \"iOS\"}"
      header = {"ContentType" => 'application/json'}
      response = REST.post(@baseline_url, body, header)
      if response.ok?
        json = JSON.parse(response.body)
        error_code = json["error_no"]
        if error_code == 0
          @result = json["data"]['baselines']
          @result = @result.sort.reverse
          puts "Version list: #{@result}"
        else
          puts "Error #{error_code}(#{json["error_msg"]}): #{json["err_detail"]}}"
        end
      else
        puts "response status: #{response.status_code}"
      end
    end


  end
end
